# Package org.apache.ignite.plugin

Contains plugins management API.

See: Description

Interface Summary
Interface | Description
--- | ---
Extension | Marker interface for extensions.
ExtensionRegistry | Context that allows to register extensions.
IgnitePlugin | Marker interface for all Ignite plugins.
PluginConfiguration | TODO: Add class description.
PluginContext | TODO: Add class description.
PluginProvider<C extends PluginConfiguration> | Pluggable ignite component.

Exception Summary
Exception | Description
--- | ---
PluginNotFoundException | Exception thrown if plugin is not found.
PluginValidationException | TODO: Add class description.

## Package org.apache.ignite.plugin Description

Contains plugins management API.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0
Release Date | : March 31 2015